# ST-MEM
Spatio-Temporal Masked Electrocardiogram Modeling

### Data (PTB-XL, for downstream fine-tuning)

Index File lists:

https://drive.google.com/file/d/1kdZycdrCswunspeb1MD8ZrcfBMV1AX37/view?usp=drive_link
https://drive.google.com/file/d/1NUGb-1Zgi3-xuy3npKkHu5nnwuYNeMZl/view?usp=drive_link
https://drive.google.com/file/d/1M3GdcaY_pwah8KE04bRq8ygxIZPqeKEd/view?usp=drive_link

Waveform Data:
https://drive.google.com/file/d/1gVZ7VI9EEzMF_M0dYU21ltMTfKt9vASw/view?usp=drive_link

Pre-trained Model:
https://drive.google.com/file/d/1dyeEGtWfkzxGtjZEeyxb3f7kM2N3nFnI/view?usp=drive_link

### Conda env
https://drive.google.com/file/d/1Dh32rzknwX8jarC8Cg08lVIkof4ykk5-/view?usp=drive_link

download env file and run this command 'conda env create -f ecg_new.yaml'

### 1. Pre-training

```console
foo@bar:~$ bash run_st_mem.sh
```

### 2. Linear evaluation

```console
foo@bar:~$ python main_finetune.py --cfg_file ./configs/ptbxl_multiclass_spatiotemporal_linear_eval.yaml
```

### 3. End-to-end fine-tuning

```console
foo@bar:~$ python main_finetune.py --cfg_file ./configs/ptbxl_multiclass_spatiotemporal_finetune.yaml
```
